org.apache.xmlbeans.impl.xb.substwsdl

## Interface DefinitionsDocument

All Superinterfaces:
  XmlObject, XmlTokenSource

All Known Implementing Classes:
  DefinitionsDocumentImpl

    public interface DefinitionsDocument
    extends XmlObject

A document containing one definitions(@http://www.apache.org/internal/xmlbeans/wsdlsubst) element. This is a complex type.

### Nested Class Summary

Nested Classes
`static interface` `DefinitionsDocument.Definitions` An XML definitions(@http://www.apache.org/internal/xmlbeans/wsdlsubst).

### Field Summary

Fields
`static DocumentFactory<DefinitionsDocument>` `Factory`
`static SchemaType` `type`

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Method Summary

All Methods Instance Methods Abstract Methods
`DefinitionsDocument.Definitions` `addNewDefinitions()` Appends and returns a new empty "definitions" element
`DefinitionsDocument.Definitions` `getDefinitions()` Gets the "definitions" element
`void` `setDefinitions(DefinitionsDocument.Definitions definitions)` Sets the "definitions" element

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Field Detail

#### Factory

    static final DocumentFactory<DefinitionsDocument> Factory

#### type

    static final SchemaType type

### Method Detail

#### getDefinitions

    DefinitionsDocument.Definitions getDefinitions()

Gets the "definitions" element

#### setDefinitions

    void setDefinitions(DefinitionsDocument.Definitions definitions)

Sets the "definitions" element

#### addNewDefinitions

    DefinitionsDocument.Definitions addNewDefinitions()

Appends and returns a new empty "definitions" element